// CntrItem.h : interface of the CTinyPascalCntrItem class
//

#pragma once

class CTinyPascalDoc;
class CTinyPascalView;

class CTinyPascalCntrItem : public CRichEditCntrItem
{
	DECLARE_SERIAL(CTinyPascalCntrItem)

// Constructors
public:
	CTinyPascalCntrItem(REOBJECT* preo = NULL, CTinyPascalDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer

// Attributes
public:
	CTinyPascalDoc* GetDocument()
		{ return reinterpret_cast<CTinyPascalDoc*>(CRichEditCntrItem::GetDocument()); }
	CTinyPascalView* GetActiveView()
		{ return reinterpret_cast<CTinyPascalView*>(CRichEditCntrItem::GetActiveView()); }

	public:
	protected:

// Implementation
public:
	~CTinyPascalCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

