// CompileView.cpp : implementation file
//

#include "stdafx.h"
#include "TinyPascal.h"
#include "CompileView.h"


// CCompileView

IMPLEMENT_DYNCREATE(CCompileView, CListView)

CCompileView::CCompileView()
{
	m_Font.CreatePointFont(80, _T("Courier New"));
}

CCompileView::~CCompileView()
{
}

BEGIN_MESSAGE_MAP(CCompileView, CListView)
	ON_WM_SIZE()
END_MESSAGE_MAP()


// CCompileView diagnostics

#ifdef _DEBUG
void CCompileView::AssertValid() const
{
	CListView::AssertValid();
}

#ifndef _WIN32_WCE
void CCompileView::Dump(CDumpContext& dc) const
{
	CListView::Dump(dc);
}
#endif
#endif //_DEBUG


// CCompileView message handlers

void CCompileView::OnInitialUpdate()
{
	CListView::OnInitialUpdate();

	// Set font
	GetListCtrl().SetFont(&m_Font);

	// Set view to be details
	::SetWindowLong(GetListCtrl().m_hWnd, GWL_STYLE, GetWindowLong(GetListCtrl().m_hWnd, GWL_STYLE) | LVS_REPORT | LVS_SINGLESEL | LVS_NOCOLUMNHEADER);
	GetListCtrl().SetExtendedStyle(LVS_EX_FULLROWSELECT | LVS_EX_GRIDLINES);

	// Add sigle column, where everything will happens
	CRect rect; GetListCtrl().GetClientRect(rect);
	GetListCtrl().DeleteColumn(0);
	GetListCtrl().InsertColumn(0, _T(""), 0, rect.Width());
}

void CCompileView::OnSize(UINT nType, int cx, int cy)
{
	GetListCtrl().SetColumnWidth(0, cx);

	CListView::OnSize(nType, cx, cy);
}
