#pragma once
#include "AG_TPSymbolTable.h"
using namespace TinyPascal::Semantics;

// CSymbolTableView view

class CSymbolTableView : public CListView
{
	DECLARE_DYNCREATE(CSymbolTableView)

protected:
	CSymbolTableView();           // protected constructor used by dynamic creation
	virtual ~CSymbolTableView();

public:
#ifdef _DEBUG
	virtual void AssertValid() const;
#ifndef _WIN32_WCE
	virtual void Dump(CDumpContext& dc) const;
#endif
#endif

protected:
	DECLARE_MESSAGE_MAP()
public:
	virtual void OnInitialUpdate();
	
	CFont m_Font;

	void ShowSymbolTable(CAG_TPSymbolTable::SymbolTableType& SymbolTable);
};


