#pragma once
#include "AG_TPMessageLog.h"
#include "AG_TPSymbolTable.h"
#include "Grammar.h"
using namespace TinyPascal::Semantics;
using namespace TinyPascal::Parser;

namespace TinyPascal { namespace Emitter {
class CAG_CodeGenerator
{
public:
	//! Default constructor 
	CAG_CodeGenerator(void);

	//! Destructor
	~CAG_CodeGenerator(void);

	//! Emit code
	virtual bool Emit(CAG_TPSymbolTable::TreeChildrenType& AST,
			          CAG_TPSymbolTable::SymbolTableType& SymbolTable) = 0;

};
}}
