// TinyPascalView.h : interface of the CTinyPascalView class
//


#pragma once

class CTinyPascalCntrItem;

class CTinyPascalView : public CRichEditView
{
protected: // create from serialization only
	CTinyPascalView();
	DECLARE_DYNCREATE(CTinyPascalView)

// Attributes
public:
	// CTinyPascalDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CTinyPascalView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CFont m_Font;

// Generated message map functions
protected:
	afx_msg void OnDestroy();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
public:
	afx_msg void OnEnMsgfilter(NMHDR *pNMHDR, LRESULT *pResult);
};

#ifndef _DEBUG  // debug version in TinyPascalView.cpp
inline CTinyPascalDoc* CTinyPascalView::GetDocument() const
   { return reinterpret_cast<CTinyPascalDoc*>(m_pDocument); }
#endif

